local RedPacketsRvdIdMessage = BaseClass("RedPacketsRvdIdMessage", SFSBaseMessage)
local base = SFSBaseMessage
local OnCreate = function(self)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  if t.errorCode ~= nil then
    UIUtil.ShowTipsId(t.errorCode)
    return
  end
  DataCenter.AllianceRedPacketManager:UpdateRecordHandle(t.records)
end
RedPacketsRvdIdMessage.OnCreate = OnCreate
RedPacketsRvdIdMessage.HandleMessage = HandleMessage
return RedPacketsRvdIdMessage
